Index: Makefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Makefile,v
retrieving revision 1.1.1.1
diff -c -r1.1.1.1 Makefile
*** Makefile	1999/10/12 04:38:55	1.1.1.1
--- Makefile	2001/05/01 12:37:11
***************
*** 55,61 ****
  ## 
  ########################################################################	
  
! SHELL	= /bin/sh
  MFLAGS	=
  CURRDIR	= .
  
--- 55,61 ----
  ## 
  ########################################################################	
  
! SHELL	= /bin/bash
  MFLAGS	=
  CURRDIR	= .
  
Index: Anlib/examples/jsf/tt/2l+2jet/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/tt/2l+2jet/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** Anlib/examples/jsf/tt/2l+2jet/Imakefile	2000/06/25 12:42:27	1.2
--- Anlib/examples/jsf/tt/2l+2jet/Imakefile	2001/05/01 12:37:11
***************
*** 59,65 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  clean:: 
  	@rm -f *.$(ObjSuf) core $(DICTNAME)*
--- 59,65 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  clean:: 
  	@rm -f *.$(ObjSuf) core $(DICTNAME)*
Index: Anlib/examples/jsf/tt/6jet/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/tt/6jet/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** Anlib/examples/jsf/tt/6jet/Imakefile	2000/06/25 12:42:29	1.2
--- Anlib/examples/jsf/tt/6jet/Imakefile	2001/05/01 12:37:11
***************
*** 59,65 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  clean:: 
  	@rm -f *.$(ObjSuf) core $(DICTNAME)*
--- 59,65 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  clean:: 
  	@rm -f *.$(ObjSuf) core $(DICTNAME)*
Index: Anlib/examples/jsf/tt/l+4jet/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/tt/l+4jet/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** Anlib/examples/jsf/tt/l+4jet/Imakefile	2000/06/25 12:42:31	1.2
--- Anlib/examples/jsf/tt/l+4jet/Imakefile	2001/05/01 12:37:11
***************
*** 59,65 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  clean:: 
  	@rm -f *.$(ObjSuf) core $(DICTNAME)*
--- 59,65 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  clean:: 
  	@rm -f *.$(ObjSuf) core $(DICTNAME)*
Index: Anlib/examples/jsf/ww/4jet/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/ww/4jet/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** Anlib/examples/jsf/ww/4jet/Imakefile	2000/06/25 12:42:33	1.2
--- Anlib/examples/jsf/ww/4jet/Imakefile	2001/05/01 12:37:11
***************
*** 63,69 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
--- 63,69 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
Index: Anlib/examples/jsf/ww/4jet/WW4JAnalysis.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/ww/4jet/WW4JAnalysis.cxx,v
retrieving revision 1.1
diff -c -r1.1 WW4JAnalysis.cxx
*** Anlib/examples/jsf/ww/4jet/WW4JAnalysis.cxx	2000/05/18 13:05:35	1.1
--- Anlib/examples/jsf/ww/4jet/WW4JAnalysis.cxx	2001/05/01 12:37:11
***************
*** 77,88 ****
--- 77,92 ----
  //_____________________________________________________________________
  void WW4JAnalysis::CleanUp(TObjArray *objs)
  {
+ #if 0
    TIter next(objs);
    TObject *obj;
    while ((obj = next())) {
    	objs->Remove(obj);
    	delete obj;
    }
+ #else
+   objs->SetOwner();
+ #endif
  }
  
  //_____________________________________________________________________
***************
*** 185,190 ****
--- 189,200 ----
    // Analysis starts here.
    // ---------------------
  
+   if (gDEBUG) {
+     cerr << "------------------------------------------" << endl
+          << "Event " << gJSF->GetEventNumber() 	       << endl
+          << "------------------------------------------" << endl;
+   }
+ 
    Float_t selid = -0.5;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) strcpy(&cutName[(Int_t)selid][0],"No cut");
***************
*** 485,491 ****
--- 495,508 ----
    // Clean up
  
    nextsol.Reset();
+ #if 0
+ // Bug:
+ // we should not delete w's contained in sol since they
+ // belong to ANLPairCombiner w1candidates which will delete
+ // them in its dtor.
+ //
    while ((sol = (ANLPair *)nextsol())) sol->Delete();
+ #endif
    CleanUp(&solutions);
    CleanUp(&tracks);
  
Index: Anlib/examples/jsf/ww/l+2jet/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/ww/l+2jet/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** Anlib/examples/jsf/ww/l+2jet/Imakefile	2000/06/25 12:42:34	1.2
--- Anlib/examples/jsf/ww/l+2jet/Imakefile	2001/05/01 12:37:11
***************
*** 62,68 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
--- 62,68 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
Index: Anlib/examples/jsf/ww/l+2jet/WWL2JAnalysis.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/ww/l+2jet/WWL2JAnalysis.cxx,v
retrieving revision 1.1
diff -c -r1.1 WWL2JAnalysis.cxx
*** Anlib/examples/jsf/ww/l+2jet/WWL2JAnalysis.cxx	2000/05/18 13:05:40	1.1
--- Anlib/examples/jsf/ww/l+2jet/WWL2JAnalysis.cxx	2001/05/01 12:37:12
***************
*** 125,130 ****
--- 125,134 ----
    xM2j      =    0.0;	// |m_jj-m_W| maximum
    xAcop     =    0.0;	// Acoplanarity maximum
  
+   for (Int_t i = 0; i < MAXCUT; i++) {
+     strcpy(&cutName[i][0],"     ");
+   }
+ 
    last->cd();
    return 0;
  }
Index: Anlib/examples/jsf/xcxc/4jet/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/xcxc/4jet/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** Anlib/examples/jsf/xcxc/4jet/Imakefile	2000/06/25 12:42:35	1.2
--- Anlib/examples/jsf/xcxc/4jet/Imakefile	2001/05/01 12:37:12
***************
*** 62,68 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
--- 62,68 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
Index: Anlib/examples/jsf/zh/4jet/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/jsf/zh/4jet/Imakefile,v
retrieving revision 1.1
diff -c -r1.1 Imakefile
*** Anlib/examples/jsf/zh/4jet/Imakefile	2000/06/25 12:42:37	1.1
--- Anlib/examples/jsf/zh/4jet/Imakefile	2001/05/01 12:37:12
***************
*** 62,68 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
--- 62,68 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f Makefile $(JSFSOLIB) *.$(SOEXT)
Index: Anlib/examples/simple/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/examples/simple/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** Anlib/examples/simple/Imakefile	2000/06/25 12:42:40	1.2
--- Anlib/examples/simple/Imakefile	2001/05/01 12:37:12
***************
*** 55,61 ****
  
  depend:: $(SRCS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  distclean:: clean
  	@rm -f $(JSFPROGRAM) Makefile
  	@rm -f *.root *.tdr *.out *~ core
--- 55,61 ----
  
  depend:: $(SRCS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  distclean:: clean
  	@rm -f $(JSFPROGRAM) Makefile
  	@rm -f *.root *.tdr *.out *~ core
Index: Anlib/src/ANLPairCombiner.h
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/src/ANLPairCombiner.h,v
retrieving revision 1.4
diff -c -r1.4 ANLPairCombiner.h
*** Anlib/src/ANLPairCombiner.h	2000/06/26 04:22:00	1.4
--- Anlib/src/ANLPairCombiner.h	2001/05/01 12:37:12
***************
*** 82,88 ****
     inline Double_t GetQuality() const { return fQuality; }
     
     Bool_t IsSortable() const { return kTRUE; }
!    Int_t  Compare(TObject *obj)
     {
     	if (fQuality < ((ANLPair *)obj)->fQuality) return -1;
     	else if (fQuality > ((ANLPair *)obj)->fQuality) return 1;
--- 82,88 ----
     inline Double_t GetQuality() const { return fQuality; }
     
     Bool_t IsSortable() const { return kTRUE; }
!    Int_t  Compare(const TObject *obj) const
     {
     	if (fQuality < ((ANLPair *)obj)->fQuality) return -1;
     	else if (fQuality > ((ANLPair *)obj)->fQuality) return 1;
Index: Anlib/src/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/Anlib/src/Imakefile,v
retrieving revision 1.3
diff -c -r1.3 Imakefile
*** Anlib/src/Imakefile	2000/06/25 12:42:41	1.3
--- Anlib/src/Imakefile	2001/05/01 12:37:12
***************
*** 64,70 ****
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(JSFSOLIB) *.$(SOEXT) Makefile
--- 64,70 ----
  
  depend:: $(SRCS) $(HDRS)
  	for i in $(SRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(JSFSOLIB) *.$(SOEXT) Makefile
Index: config/kflib.tmpl
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/config/kflib.tmpl,v
retrieving revision 1.1
diff -c -r1.1 kflib.tmpl
*** config/kflib.tmpl	2000/06/25 12:46:08	1.1
--- config/kflib.tmpl	2001/05/01 12:37:12
***************
*** 17,29 ****
  /* JLC Starndard Template */
  
  #include "config/lclib.tmpl"
  #ifdef CXXPACKAGE
! #include "conf/makejsf.tmpl"
  
  /* ROOT Related Libraries */
  
  ROOTLIBS     += -lEGPythia -lEG -Wl,-u,pytest_ $(CERNLIBS)
  
  #endif
  
  /* Tentative Architecture Dependent Treatments */
--- 17,45 ----
  /* JLC Starndard Template */
  
  #include "config/lclib.tmpl"
+ 
  #ifdef CXXPACKAGE
! # include "conf/makejsf.tmpl"
  
  /* ROOT Related Libraries */
  
+ # if defined(MacOSXArchitecture) || defined(DarwinArchitecture)
+ ROOTLIBS     += -lEGPythia -lEG $(CERNLIBS)
+ # else
  ROOTLIBS     += -lEGPythia -lEG -Wl,-u,pytest_ $(CERNLIBS)
+ # endif
+ #endif
+ 
+ 
+ /* Analysis Related Fortran Libraries */
  
+ #if defined(MacOSXArchitecture) || defined(DarwinArchitecture)
+ LDFLAGS       = $(ANALLIB) -L/usr/local/lib -lg2c
+ ANALLIB	      = $(LDDIRFLAG)$(LCLIBDIR) -lFORTLIB -l$(HELASV204) $(EXTRALIBS)
+ #else
+ ANALLIB       = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
+                 -lSIMJLC -lLTKCL -lLCFULL -lTBS \
+                 -l$(HELASV204) -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
  #endif
  
  /* Tentative Architecture Dependent Treatments */
***************
*** 36,40 ****
--- 52,73 ----
  	LDDIRFLAG = -L
  	EXTRALIBS = 
  	CERNLIBS = $(LDDIRFLAG)$(CERN_ROOT)/lib -ljetset74 -lpacklib
+ 
+ # if defined(MacOSXArchitecture) || defined(DarwinArchitecture)
+ 	SOFLAGS += -install_name $(SONAME)
+ 
+ #  ifndef InstallSharedLibrary
+ #  define InstallSharedLibrary(libname,rev,dest)                        @@\
+ install:: Concat(lib,libname.so.rev)                                    @@\
+ 	MakeDir($(DESTDIR)dest)                                         @@\
+ 	$(INSTALL) $(INSTALLFLAGS) $(INSTBINFLAGS) Concat(lib,libname.so.rev) $(DESTDIR)dest @@\
+ 	@T=`echo Concat($(DESTDIR)dest/lib,libname.so.rev) | sed 's/\.[^\.]*$$//'`;\
+ 	set -x; $(RM) $$T && $(LN) Concat(lib,libname.so.rev) $$T     @@\
+ 	@if $(SOSYMLINK); then (set -x; \
+ 	$(RM) Concat($(DESTDIR)dest/lib,libname.so); \                @@\
+ 	$(LN) Concat(lib,libname.so.rev) Concat($(DESTDIR)dest/lib,libname.so)); fi
+ #  endif
+ # else
  	SOFLAGS += -Wl,-soname,$(SONAME)
+ # endif
  #endif
Index: gen_lib/bm/bases/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/gen_lib/bm/bases/Imakefile,v
retrieving revision 1.1
diff -c -r1.1 Imakefile
*** gen_lib/bm/bases/Imakefile	2000/10/12 14:08:09	1.1
--- gen_lib/bm/bases/Imakefile	2001/05/01 12:37:13
***************
*** 90,96 ****
  
  depend:: $(SRCS) $(HDRS)
          for i in $(SRCS); do \
!         rmkdepend -a -- $(FFLAGS) $(INCPATH) -- $$i; done
  				 
  clean::                                          
  	rm -f *.o; rm -f *~
--- 90,96 ----
  
  depend:: $(SRCS) $(HDRS)
          for i in $(SRCS); do \
!         rmkdepend -a -- $(FFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  				 
  clean::                                          
  	rm -f *.o; rm -f *~
Index: higgs/ZHStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/higgs/ZHStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** higgs/ZHStudy/Imakefile	2000/06/25 12:43:07	1.2
--- higgs/ZHStudy/Imakefile	2001/05/01 12:37:13
***************
*** 28,44 ****
   * Libraries
   *
   */
- #if defined(hitachiArchitecture)
- ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
- 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
- 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
- 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
- #else
- ANALLIB	  = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
- 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
- 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
- #endif
  
  KFLIB   = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	-lGENLIBKN -lGENLIBBM  -lANLLIB
  
--- 28,35 ----
   * Libraries
   *
   */
  
+ HELASV204 = HELASV204
  KFLIB   = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	-lGENLIBKN -lGENLIBBM  -lANLLIB
  
***************
*** 99,105 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  clean:: 
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h
--- 90,96 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  clean:: 
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h
Index: susy/SFSFStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/susy/SFSFStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** susy/SFSFStudy/Imakefile	2000/06/25 12:45:00	1.2
--- susy/SFSFStudy/Imakefile	2001/05/01 12:37:13
***************
*** 36,51 ****
   * Libraries
   *
   */
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  KFLIB	  = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
  	    -lGENLIBKN -lGENLIBBM  -lANLLIB
  
--- 36,44 ----
   * Libraries
   *
   */
! 
! HELASV204 = HELASV204
! 
  KFLIB	  = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
  	    -lGENLIBKN -lGENLIBBM  -lANLLIB
  
***************
*** 111,117 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 104,110 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: susy/XCXCStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/susy/XCXCStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** susy/XCXCStudy/Imakefile	2000/06/25 12:43:11	1.2
--- susy/XCXCStudy/Imakefile	2001/05/01 12:37:13
***************
*** 38,53 ****
   *
   */
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  KFLIB	  = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
  	    -lGENLIBKN -lGENLIBBM  -lANLLIB
  
--- 38,45 ----
   *
   */
  
! HELASV204 = HELASV204
! 
  KFLIB	  = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
  	    -lGENLIBKN -lGENLIBBM  -lANLLIB
  
***************
*** 112,118 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 104,110 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: susy/XCXCStudy/prod/UserAnalysis.C
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/susy/XCXCStudy/prod/UserAnalysis.C,v
retrieving revision 1.1.1.1
diff -c -r1.1.1.1 UserAnalysis.C
*** susy/XCXCStudy/prod/UserAnalysis.C	1999/10/12 04:39:23	1.1.1.1
--- susy/XCXCStudy/prod/UserAnalysis.C	2001/05/01 12:37:13
***************
*** 193,198 ****
--- 193,199 ----
    
    ANL4DVector qsum;
    TObjArray tracks(500);
+   tracks.SetOwner();
     
    // Select good tracks
  
***************
*** 210,216 ****
    // Cut on No. of tracks.
    
    hNtracks->Fill(fNtracks);
!   if ( fNtracks < xNtracks ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"N_tracks > %g",xNtracks);
--- 211,217 ----
    // Cut on No. of tracks.
    
    hNtracks->Fill(fNtracks);
!   if ( fNtracks < xNtracks ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"N_tracks > %g",xNtracks);
***************
*** 224,230 ****
    // Cut on Evis.
  
    hEvis->Fill(fEvis);
!   if ( fEvis < xEvis ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"E_vis > %g",xEvis);
--- 225,231 ----
    // Cut on Evis.
  
    hEvis->Fill(fEvis);
!   if ( fEvis < xEvis ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"E_vis > %g",xEvis);
***************
*** 234,240 ****
    // Cut on Pt.
  
    hPt->Fill(fPt);
!   if ( fPt < xPt ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Pt > %g",xPt);
--- 235,241 ----
    // Cut on Pt.
  
    hPt->Fill(fPt);
!   if ( fPt < xPt ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Pt > %g",xPt);
***************
*** 243,249 ****
   
    // Cut on Pl.
  
!   if ( TMath::Abs(fPl) > xPl ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|Pl| <= %g",xPl);
--- 244,250 ----
   
    // Cut on Pl.
  
!   if ( TMath::Abs(fPl) > xPl ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|Pl| <= %g",xPl);
***************
*** 262,268 ****
    // Cut on No. of jets.
      
    hNjets->Fill(fNjets);
!   if ( fNjets < xNjets ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets >= %i for Ycut = %g",xNjets,xYcut);
--- 263,269 ----
    // Cut on No. of jets.
      
    hNjets->Fill(fNjets);
!   if ( fNjets < xNjets ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets >= %i for Ycut = %g",xNjets,xYcut);
***************
*** 277,283 ****
  
    // Make sure that No. of jets is xNjets.
      
!   if ( fNjets != xNjets ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets = %i",xNjets);
--- 278,284 ----
  
    // Make sure that No. of jets is xNjets.
      
!   if ( fNjets != xNjets ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets = %i",xNjets);
***************
*** 304,310 ****
  
    // Cut on Ejet_min.
    
!   if ( ejetmin < xEjet ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Ejet > %g",xEjet);
--- 305,311 ----
  
    // Cut on Ejet_min.
    
!   if ( ejetmin < xEjet ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Ejet > %g",xEjet);
***************
*** 313,319 ****
  
    // Cut on |cos(theta_j)|_max.
      
!   if ( TMath::Abs(cosjmax) > xCosjet ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_j)| <= %g",xCosjet);
--- 314,320 ----
  
    // Cut on |cos(theta_j)|_max.
      
!   if ( TMath::Abs(cosjmax) > xCosjet ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_j)| <= %g",xCosjet);
***************
*** 324,330 ****
--- 325,334 ----
    // Avoid using indices since there might be empty slots.
    
    TObjArray solutions(10);
+   solutions.SetOwner();
+ 
    ANLPairCombiner w1candidates(jets,jets);
+   ANLPairCombiner *w2candidp = 0;
    if (gDEBUG) {
      cerr << "------------------------------------------" << endl;
      cerr << "- w1candidates:" << endl;
***************
*** 332,342 ****
    }
    ANLPair *w1p, *w2p;
    while ((w1p = (ANLPair *)w1candidates())) {
      ANLPair &w1 = *w1p;
      Double_t w1mass = w1().GetMass();
      if (TMath::Abs(w1mass - kMassW) > xM2j) continue;	// w1 candidate found
      w1.LockChildren();					// now lock w1 daughters
!     ANLPairCombiner w2candidates(w1candidates);		// w2 after w1
      while ((w2p = (ANLPair *)w2candidates())) {
        ANLPair &w2 = *w2p;
        if (w2.IsLocked()) continue;			// skip if locked
--- 336,348 ----
    }
    ANLPair *w1p, *w2p;
    while ((w1p = (ANLPair *)w1candidates())) {
+     w2candidp   = 0;
      ANLPair &w1 = *w1p;
      Double_t w1mass = w1().GetMass();
      if (TMath::Abs(w1mass - kMassW) > xM2j) continue;	// w1 candidate found
      w1.LockChildren();					// now lock w1 daughters
!     w2candidp = new ANLPairCombiner(w1candidates);	// w2 after w1
!     ANLPairCombiner &w2candidates = *w2candidp;
      while ((w2p = (ANLPair *)w2candidates())) {
        ANLPair &w2 = *w2p;
        if (w2.IsLocked()) continue;			// skip if locked
***************
*** 347,358 ****
        solutions.Add(new ANLPair(w1p,w2p,chi2));
        // hMw1Mw2->Fill(w1mass,w2mass,1.0);
      }
      w1.UnlockChildren();
    }
    
    // Cut on No. of solutions.
  
!   if ( !solutions.GetEntries() ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|m_jj - m_W| <= %g",xM2j);
--- 353,365 ----
        solutions.Add(new ANLPair(w1p,w2p,chi2));
        // hMw1Mw2->Fill(w1mass,w2mass,1.0);
      }
+     if (w2candidp) delete w2candidp;
      w1.UnlockChildren();
    }
    
    // Cut on No. of solutions.
  
!   if ( !solutions.GetEntries() ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|m_jj - m_W| <= %g",xM2j);
***************
*** 383,389 ****
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_w)| <= %g",xCosw);
--- 390,396 ----
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_w)| <= %g",xCosw);
***************
*** 409,415 ****
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Acop > %g",xAcop);
--- 416,422 ----
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() ) return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Acop > %g",xAcop);
***************
*** 471,481 ****
            hMw1Mw2->Fill(w1mass,w2mass,1.0);
    }
    
-   // Clean up
-   
-   solutions.Delete();
-   tracks.Delete();
- 
    return;
   }
  
--- 478,483 ----
Index: top/EETTStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/EETTStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** top/EETTStudy/Imakefile	2000/06/25 12:43:18	1.2
--- top/EETTStudy/Imakefile	2001/05/01 12:37:13
***************
*** 24,39 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 24,30 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 98,104 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 89,95 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: top/NNTTStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/NNTTStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** top/NNTTStudy/Imakefile	2000/06/25 12:43:24	1.2
--- top/NNTTStudy/Imakefile	2001/05/01 12:37:13
***************
*** 22,37 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 22,28 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 96,102 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 87,93 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: top/TTHStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/TTHStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** top/TTHStudy/Imakefile	2000/06/25 12:43:30	1.2
--- top/TTHStudy/Imakefile	2001/05/01 12:37:13
***************
*** 34,49 ****
   *
   */
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	  -lGENLIBKN -lGENLIBBM -lANLLIB
--- 34,40 ----
   *
   */
  
! HELASV204 = HELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	  -lGENLIBKN -lGENLIBBM -lANLLIB
***************
*** 113,119 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 104,110 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: top/TTStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/TTStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** top/TTStudy/Imakefile	2000/06/25 12:43:51	1.2
--- top/TTStudy/Imakefile	2001/05/01 12:37:14
***************
*** 15,33 ****
   *
   */
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
! KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSM \
! 	  -lGENLIBKN -lGENLIBBM -lANLLIB $(TTGLIB) $(TTPLIB)
  
  TTGLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBTT
  TTPLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lPHYLIBTT -lPOTQCD
--- 15,24 ----
   *
   */
  
! HELASV204 = HELASV204
  
! KFLIB   = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSM \
!           -lGENLIBKN -lGENLIBBM -lANLLIB $(TTGLIB) $(TTPLIB)
  
  TTGLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBTT
  TTPLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lPHYLIBTT -lPOTQCD
***************
*** 92,98 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 83,89 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: top/TTStudy/TTSpring.h
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/TTStudy/TTSpring.h,v
retrieving revision 1.2
diff -c -r1.2 TTSpring.h
*** top/TTStudy/TTSpring.h	2000/06/25 12:43:52	1.2
--- top/TTStudy/TTSpring.h	2001/05/01 12:37:14
***************
*** 158,164 ****
     Double_t fX[2];  // Two bases parameters, costh and phi.
  //  <<-TTbar>>
  public:
!   TTSpringBuf(const char *name="TTSpringBuf", 
  	     const char *title="TTSpring test event buffer",
  	     TTSpring *spring=NULL)
  	     : JSFSpringBuf(name,title,(JSFSpring*)spring) {} 
--- 158,164 ----
     Double_t fX[2];  // Two bases parameters, costh and phi.
  //  <<-TTbar>>
  public:
!   TTSpringBuf(const char *name="TTSpring", 
  	     const char *title="TTSpring test event buffer",
  	     TTSpring *spring=NULL)
  	     : JSFSpringBuf(name,title,(JSFSpring*)spring) {} 
***************
*** 170,176 ****
  
  class TTSpring : public JSFSpring {
  public:
!    TTSpring(const char *name="TTSpring", 
  	      const char *title="TTSpring test",
               TTBases *bases=NULL);
     virtual ~TTSpring();
--- 170,176 ----
  
  class TTSpring : public JSFSpring {
  public:
!    TTSpring(const char *name="TTSpringBuf",
  	      const char *title="TTSpring test",
               TTBases *bases=NULL);
     virtual ~TTSpring();
Index: top/TTStudy/prod/UserAnalysis.C
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/TTStudy/prod/UserAnalysis.C,v
retrieving revision 1.2
diff -c -r1.2 UserAnalysis.C
*** top/TTStudy/prod/UserAnalysis.C	1999/11/01 04:50:11	1.2
--- top/TTStudy/prod/UserAnalysis.C	2001/05/01 12:37:14
***************
*** 189,194 ****
--- 189,195 ----
    
    ANL4DVector qsum;
    TObjArray tracks(1000);
+   tracks.SetOwner();
    fNtracks = 0;
    for ( Int_t i = 0; i < ntrks; i++ ) {
      JSFLTKCLTrack *t = (JSFLTKCLTrack*)trks->UncheckedAt(i);
***************
*** 203,209 ****
    // Cut on No. of tracks.
    
    hNtracks->Fill(fNtracks);
!   if ( fNtracks < xNtracks ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"N_tracks > %i",xNtracks);
--- 204,210 ----
    // Cut on No. of tracks.
    
    hNtracks->Fill(fNtracks);
!   if ( fNtracks < xNtracks ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"N_tracks > %i",xNtracks);
***************
*** 217,223 ****
    // Cut on Evis.
  
    hEvis->Fill(fEvis);
!   if ( fEvis < xEvis ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"E_vis > %g",xEvis);
--- 218,224 ----
    // Cut on Evis.
  
    hEvis->Fill(fEvis);
!   if ( fEvis < xEvis ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"E_vis > %g",xEvis);
***************
*** 227,233 ****
    // Cut on Pt.
  
    hPt->Fill(fPt);
!   if ( fPt > xPt ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Pt <= %g",xPt);
--- 228,234 ----
    // Cut on Pt.
  
    hPt->Fill(fPt);
!   if ( fPt > xPt ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Pt <= %g",xPt);
***************
*** 236,242 ****
   
    // Cut on Pl.
  
!   if ( TMath::Abs(fPl) > xPl ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|Pl| <= %g",xPl);
--- 237,243 ----
   
    // Cut on Pl.
  
!   if ( TMath::Abs(fPl) > xPl ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|Pl| <= %g",xPl);
***************
*** 255,261 ****
    // Cut on No. of jets.
      
    hNjets->Fill(fNjets);
!   if ( fNjets < xNjets ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets >= %i for Ycut = %g",xNjets,xYcut);
--- 256,262 ----
    // Cut on No. of jets.
      
    hNjets->Fill(fNjets);
!   if ( fNjets < xNjets ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets >= %i for Ycut = %g",xNjets,xYcut);
***************
*** 270,276 ****
  
    // Make sure that No. of jets is xNjets.
      
!   if ( fNjets != xNjets ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets = %i",xNjets);
--- 271,277 ----
  
    // Make sure that No. of jets is xNjets.
      
!   if ( fNjets != xNjets ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets = %i",xNjets);
***************
*** 301,307 ****
  
    // Cut on Ejet_min.
    
!   if ( ejetmin < xEjet ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Ejet > %g",xEjet);
--- 302,308 ----
  
    // Cut on Ejet_min.
    
!   if ( ejetmin < xEjet ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Ejet > %g",xEjet);
***************
*** 310,316 ****
  
    // Cut on |cos(theta_j)|_max.
      
!   if ( TMath::Abs(cosjmax) > xCosjet ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_j)| <= %g",xCosjet);
--- 311,317 ----
  
    // Cut on |cos(theta_j)|_max.
      
!   if ( TMath::Abs(cosjmax) > xCosjet ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_j)| <= %g",xCosjet);
***************
*** 321,326 ****
--- 322,328 ----
    // Avoid using indices since there might be empty slots.
      
    TObjArray solutions(10);
+   solutions.SetOwner();
    ANLPairCombiner w1candidates(jets,jets);
  
    if (gDEBUG/* || kTRUE */) {
***************
*** 332,353 ****
  
    ANLPair *w1p, *w2p, *bbp;
    while ((w1p = (ANLPair *)w1candidates())) {
      ANLPair &w1 = *w1p;
      Double_t w1mass = w1().GetMass();
      if (TMath::Abs(w1mass - kMassW) > xM2j) continue;	// w1 candidate found
      w1.LockChildren();					// now lock w1 daughters
!     ANLPairCombiner w2candidates(w1candidates);		// w2 after w1
      if (gDEBUG) {
        cerr << "-- w2candidates:" << endl;
        w2candidates.DebugPrint();
      }
      while ((w2p = (ANLPair *)w2candidates())) {
        ANLPair &w2 = *w2p;
        if (w2.IsLocked()) continue;			// skip if locked
        Double_t w2mass = w2().GetMass();
        if (TMath::Abs(w2mass - kMassW) > xM2j) continue;	// w2 candidate found
        w2.LockChildren();				// now lock w2 daughters
!       ANLPairCombiner bbcandidates(w2candidates);	// bbar from the rest
        bbcandidates.Reset();				// bb can be before w1/2
        if (gDEBUG) {
          cerr << "---- bbcandidates:" << endl;
--- 334,359 ----
  
    ANLPair *w1p, *w2p, *bbp;
    while ((w1p = (ANLPair *)w1candidates())) {
+     ANLPairCombiner *w2candidp = 0;
      ANLPair &w1 = *w1p;
      Double_t w1mass = w1().GetMass();
      if (TMath::Abs(w1mass - kMassW) > xM2j) continue;	// w1 candidate found
      w1.LockChildren();					// now lock w1 daughters
!     w2candidp = new ANLPairCombiner(w1candidates);	// w2 after w1
!     ANLPairCombiner &w2candidates = *w2candidp;
      if (gDEBUG) {
        cerr << "-- w2candidates:" << endl;
        w2candidates.DebugPrint();
      }
      while ((w2p = (ANLPair *)w2candidates())) {
+     ANLPairCombiner *bbcandidp = 0;
        ANLPair &w2 = *w2p;
        if (w2.IsLocked()) continue;			// skip if locked
        Double_t w2mass = w2().GetMass();
        if (TMath::Abs(w2mass - kMassW) > xM2j) continue;	// w2 candidate found
        w2.LockChildren();				// now lock w2 daughters
!     bbcandidp = new ANLPairCombiner(w2candidates);	// w2 after w1
!     ANLPairCombiner &bbcandidates = *bbcandidp;
        bbcandidates.Reset();				// bb can be before w1/2
        if (gDEBUG) {
          cerr << "---- bbcandidates:" << endl;
***************
*** 400,413 ****
  #endif
          }
        }
        w2.UnlockChildren();
      }
      w1.UnlockChildren();
    }
    
    // Cut on No. of solutions.
  
!   if ( !solutions.GetEntries() ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|m_jj - m_W| <= %g && |m_3j - m_t| <= %g",xM2j,xM3j);
--- 406,421 ----
  #endif
          }
        }
+     if (bbcandidp) delete bbcandidp;
        w2.UnlockChildren();
      }
+     if (w2candidp) delete w2candidp;
      w1.UnlockChildren();
    }
    
    // Cut on No. of solutions.
  
!   if ( !solutions.GetEntries() ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|m_jj - m_W| <= %g && |m_3j - m_t| <= %g",xM2j,xM3j);
***************
*** 446,452 ****
              cerr << endl;
      }
    }
!   if ( !solutions.GetEntries() ) { tracks.Delete(); last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_bw)| > %g",xCosbw);
--- 454,460 ----
              cerr << endl;
      }
    }
!   if ( !solutions.GetEntries() ) { last->cd(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_bw)| > %g",xCosbw);
***************
*** 517,524 ****
  
    // Clean up
  
!   solutions.Delete();
!   tracks.Delete();
  
    last->cd();
    return;
--- 525,532 ----
  
    // Clean up
  
!   nextsol.Reset();
!   while ((solp = (ANLPair *)nextsol())) solp->Delete();
  
    last->cd();
    return;
Index: top/TTStudy/prod/sim.C
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/TTStudy/prod/sim.C,v
retrieving revision 1.3
diff -c -r1.3 sim.C
*** top/TTStudy/prod/sim.C	2000/08/28 18:29:06	1.3
--- top/TTStudy/prod/sim.C	2001/05/01 12:37:14
***************
*** 4,10 ****
    jsf    = new JSFSteer();
    full   = new JSFLCFULL();
   
!   spring = new TTSpring();
    spring->ReadBases("bases.root");
   
    printf(" Roots is %g\n",((TTBases*)spring->GetBases())->GetRoots());
--- 4,10 ----
    jsf    = new JSFSteer();
    full   = new JSFLCFULL();
   
!   spring = new TTSpring("TTSpring");
    spring->ReadBases("bases.root");
   
    printf(" Roots is %g\n",((TTBases*)spring->GetBases())->GetRoots());
Index: top/TTZStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/top/TTZStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** top/TTZStudy/Imakefile	2000/06/25 12:43:56	1.2
--- top/TTZStudy/Imakefile	2001/05/01 12:37:14
***************
*** 32,47 ****
   *
   */
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	  -lGENLIBKN -lGENLIBBM -lANLLIB
--- 32,38 ----
   *
   */
  
! HELASV204 = HELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	  -lGENLIBKN -lGENLIBBM -lANLLIB
***************
*** 111,117 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 102,108 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: twoph/EEFFStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/twoph/EEFFStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** twoph/EEFFStudy/Imakefile	2000/06/25 12:44:02	1.2
--- twoph/EEFFStudy/Imakefile	2001/05/01 12:37:14
***************
*** 25,40 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 25,31 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 97,103 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  clean:: 
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h
--- 88,94 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  clean:: 
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h
Index: wz/EEWWStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/EEWWStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** wz/EEWWStudy/Imakefile	2000/06/25 12:44:06	1.2
--- wz/EEWWStudy/Imakefile	2001/05/01 12:37:14
***************
*** 24,39 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 24,30 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 98,104 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 89,95 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: wz/EEZStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/EEZStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** wz/EEZStudy/Imakefile	2000/06/25 12:44:10	1.2
--- wz/EEZStudy/Imakefile	2001/05/01 12:37:14
***************
*** 26,41 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 26,32 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 100,106 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 91,97 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: wz/ENWStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/ENWStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** wz/ENWStudy/Imakefile	2000/06/25 12:44:16	1.2
--- wz/ENWStudy/Imakefile	2001/05/01 12:37:14
***************
*** 25,40 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 25,31 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 99,105 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 90,96 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: wz/ENWStudy/prod/sim.C
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/ENWStudy/prod/sim.C,v
retrieving revision 1.3
diff -c -r1.3 sim.C
*** wz/ENWStudy/prod/sim.C	2000/08/28 18:29:24	1.3
--- wz/ENWStudy/prod/sim.C	2001/05/01 12:37:14
***************
*** 17,23 ****
  //  hdr->SetMakeBranch(kFALSE);    // suppress output of EventBuf 
  //  sim->SetMakeBranch(kFALSE);    // suppress output of EventBuf
  
!   Int_t maxevt=200;      // Number of events.
    jsf->Initialize();
  
    jsf->BeginRun(30);      // Set run number to 30.
--- 17,23 ----
  //  hdr->SetMakeBranch(kFALSE);    // suppress output of EventBuf 
  //  sim->SetMakeBranch(kFALSE);    // suppress output of EventBuf
  
!   Int_t maxevt=20;      // Number of events.
    jsf->Initialize();
  
    jsf->BeginRun(30);      // Set run number to 30.
Index: wz/NNWWStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/NNWWStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** wz/NNWWStudy/Imakefile	2000/06/25 12:44:20	1.2
--- wz/NNWWStudy/Imakefile	2001/05/01 12:37:14
***************
*** 20,35 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 20,26 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 94,100 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 85,91 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: wz/NNZStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/NNZStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** wz/NNZStudy/Imakefile	2000/06/25 12:44:26	1.2
--- wz/NNZStudy/Imakefile	2001/05/01 12:37:14
***************
*** 26,41 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lDHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
--- 26,32 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = DHELASV204
  
  KFLIB	= $(LDDIRFLAG)$(KFLIBDIR) -lDGENLIBSM \
  	-lDGENLIBKN -lDGENLIBBM -lDFORTLIB -lANLLIB
***************
*** 100,106 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 91,97 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: wz/WWStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/WWStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** wz/WWStudy/Imakefile	2000/06/25 12:44:31	1.2
--- wz/WWStudy/Imakefile	2001/05/01 12:37:14
***************
*** 30,53 ****
  	-I$(KFLIBROOT)/gen_lib/bm/include \
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  /*
   * Libraries
   *
   */
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
! KFLIB	  = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
! 	    -lGENLIBKN -lGENLIBBM  -lANLLIB
  
  /*
   * Fortran Objects
--- 30,45 ----
  	-I$(KFLIBROOT)/gen_lib/bm/include \
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
+ 
  /*
   * Libraries
   *
   */
  
! HELASV204 = HELASV204
  
! KFLIB     = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
!             -lGENLIBKN -lGENLIBBM  -lANLLIB
  
  /*
   * Fortran Objects
***************
*** 100,106 ****
  
  $(JSFPROGRAM): $(OBJS) jsfmain.o $(FOBJS)
  	$(LD) -o $(JSFPROGRAM) jsfmain.o $(FOBJS) $(OBJS) \
! 	$(KFLIB) $(LDFLAGS)
  
  prod/$(SONAME): $(OBJS) $(FOBJS)
  	$(LD) $(SOFLAGS) -o prod/$(SONAME) $(FOBJS) $(OBJS) \
--- 92,98 ----
  
  $(JSFPROGRAM): $(OBJS) jsfmain.o $(FOBJS)
  	$(LD) -o $(JSFPROGRAM) jsfmain.o $(FOBJS) $(OBJS) \
! 	$(KFLIB) $(JSFLIBS) $(LDFLAGS)
  
  prod/$(SONAME): $(OBJS) $(FOBJS)
  	$(LD) $(SOFLAGS) -o prod/$(SONAME) $(FOBJS) $(OBJS) \
***************
*** 111,117 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 103,109 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: wz/WWStudy/prod/UserAnalysis.C
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/WWStudy/prod/UserAnalysis.C,v
retrieving revision 1.1.1.1
diff -c -r1.1.1.1 UserAnalysis.C
*** wz/WWStudy/prod/UserAnalysis.C	1999/10/12 04:40:18	1.1.1.1
--- wz/WWStudy/prod/UserAnalysis.C	2001/05/01 12:37:14
***************
*** 186,191 ****
--- 186,192 ----
    
    ANL4DVector qsum;
    TObjArray tracks(500);
+   tracks.SetOwner();
     
    // Select good tracks
  
***************
*** 203,209 ****
    // Cut on No. of tracks.
    
    hNtracks->Fill(fNtracks);
!   if ( fNtracks < xNtracks ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"N_tracks > %g",xNtracks);
--- 204,210 ----
    // Cut on No. of tracks.
    
    hNtracks->Fill(fNtracks);
!   if ( fNtracks < xNtracks )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"N_tracks > %g",xNtracks);
***************
*** 217,223 ****
    // Cut on Evis.
  
    hEvis->Fill(fEvis);
!   if ( fEvis < xEvis ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"E_vis > %g",xEvis);
--- 218,224 ----
    // Cut on Evis.
  
    hEvis->Fill(fEvis);
!   if ( fEvis < xEvis )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"E_vis > %g",xEvis);
***************
*** 227,233 ****
    // Cut on Pt.
  
    hPt->Fill(fPt);
!   if ( fPt > xPt ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Pt <= %g",xPt);
--- 228,234 ----
    // Cut on Pt.
  
    hPt->Fill(fPt);
!   if ( fPt > xPt )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Pt <= %g",xPt);
***************
*** 236,242 ****
   
    // Cut on Pl.
  
!   if ( TMath::Abs(fPl) > xPl ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|Pl| <= %g",xPl);
--- 237,243 ----
   
    // Cut on Pl.
  
!   if ( TMath::Abs(fPl) > xPl )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|Pl| <= %g",xPl);
***************
*** 255,261 ****
    // Cut on No. of jets.
      
    hNjets->Fill(fNjets);
!   if ( fNjets < xNjets ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets >= %i for Ycut = %g",xNjets,xYcut);
--- 256,262 ----
    // Cut on No. of jets.
      
    hNjets->Fill(fNjets);
!   if ( fNjets < xNjets )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets >= %i for Ycut = %g",xNjets,xYcut);
***************
*** 270,276 ****
  
    // Make sure that No. of jets is xNjets.
      
!   if ( fNjets != xNjets ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets = %i",xNjets);
--- 271,277 ----
  
    // Make sure that No. of jets is xNjets.
      
!   if ( fNjets != xNjets )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Njets = %i",xNjets);
***************
*** 297,303 ****
  
    // Cut on Ejet_min.
    
!   if ( ejetmin < xEjet ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Ejet > %g",xEjet);
--- 298,304 ----
  
    // Cut on Ejet_min.
    
!   if ( ejetmin < xEjet )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Ejet > %g",xEjet);
***************
*** 306,312 ****
  
    // Cut on |cos(theta_j)|_max.
      
!   if ( TMath::Abs(cosjmax) > xCosjet ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_j)| <= %g",xCosjet);
--- 307,313 ----
  
    // Cut on |cos(theta_j)|_max.
      
!   if ( TMath::Abs(cosjmax) > xCosjet )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_j)| <= %g",xCosjet);
***************
*** 315,330 ****
  
    // Find W candidates in given mass windows.
    // Avoid using indices since there might be empty slots.
!   
    TObjArray solutions(10);
    ANLPairCombiner w1candidates(jets,jets);
    ANLPair *w1p, *w2p;
    while ((w1p = (ANLPair *)w1candidates())) {
      ANLPair &w1 = *w1p;
      Double_t w1mass = w1().GetMass();
      if (TMath::Abs(w1mass - kMassW) > xM2j) continue;	// w1 candidate found
      w1.LockChildren();					// now lock w1 daughters
!     ANLPairCombiner w2candidates(w1candidates);		// w2 after w1
      while ((w2p = (ANLPair *)w2candidates())) {
        ANLPair &w2 = *w2p;
        if (w2.IsLocked()) continue;			// skip if locked
--- 316,336 ----
  
    // Find W candidates in given mass windows.
    // Avoid using indices since there might be empty slots.
! 
    TObjArray solutions(10);
+   solutions.SetOwner();
+   
    ANLPairCombiner w1candidates(jets,jets);
+   ANLPairCombiner *w2candidp = 0;
    ANLPair *w1p, *w2p;
    while ((w1p = (ANLPair *)w1candidates())) {
+     w2candidp = 0;
      ANLPair &w1 = *w1p;
      Double_t w1mass = w1().GetMass();
      if (TMath::Abs(w1mass - kMassW) > xM2j) continue;	// w1 candidate found
      w1.LockChildren();					// now lock w1 daughters
!     w2candid = new ANLPairCombiner(w1candidates);	// w2 after w1
!     ANLPairCombiner &w2candidates = *w2candid;
      while ((w2p = (ANLPair *)w2candidates())) {
        ANLPair &w2 = *w2p;
        if (w2.IsLocked()) continue;			// skip if locked
***************
*** 335,346 ****
        solutions.Add(new ANLPair(w1p,w2p,chi2));
        // hMw1Mw2->Fill(w1mass,w2mass,1.0);
      }
      w1.UnlockChildren();
    }
    
    // Cut on No. of solutions.
  
!   if ( !solutions.GetEntries() ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|m_jj - m_W| <= %g",xM2j);
--- 341,353 ----
        solutions.Add(new ANLPair(w1p,w2p,chi2));
        // hMw1Mw2->Fill(w1mass,w2mass,1.0);
      }
+     if (w2candidp) delete w2candidp;
      w1.UnlockChildren();
    }
    
    // Cut on No. of solutions.
  
!   if ( !solutions.GetEntries() )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|m_jj - m_W| <= %g",xM2j);
***************
*** 365,371 ****
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_w)| <= %g",xCosw);
--- 372,378 ----
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"|cos(theta_w)| <= %g",xCosw);
***************
*** 385,391 ****
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() ) { tracks.Delete(); return; }
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Acop <= %g",xAcop);
--- 392,398 ----
        delete sol;
      }
    }
!   if ( !solutions.GetEntries() )  return;
    hStat->Fill(++selid);
    if ( Ngoods == 0 ) {
      sprintf(msg,"Acop <= %g",xAcop);
***************
*** 441,451 ****
            hMw1Mw2->Fill(w1mass,w2mass,1.0);
    }
    
-   // Clean up
-   
-   solutions.Delete();
-   tracks.Delete();
- 
    return;
   }
  
--- 448,453 ----
Index: wz/WWZStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/WWZStudy/Imakefile,v
retrieving revision 1.3
diff -c -r1.3 Imakefile
*** wz/WWZStudy/Imakefile	2000/06/25 12:44:35	1.3
--- wz/WWZStudy/Imakefile	2001/05/01 12:37:14
***************
*** 29,44 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB   = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	-lGENLIBKN -lGENLIBBM  -lANLLIB
--- 29,35 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = HELASV204
  
  KFLIB   = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM -lGENLIBHG \
  	-lGENLIBKN -lGENLIBBM  -lANLLIB
***************
*** 103,109 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 94,100 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$I; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
Index: wz/ZZStudy/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/physsim/wz/ZZStudy/Imakefile,v
retrieving revision 1.2
diff -c -r1.2 Imakefile
*** wz/ZZStudy/Imakefile	2000/06/25 12:44:44	1.2
--- wz/ZZStudy/Imakefile	2001/05/01 12:37:14
***************
*** 27,42 ****
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! #if defined(hitachiArchitecture)
! ANALLIB   = $(LDDIRFLAG)$(JSFROOT)/lib -lJSF -lJSFLCFULL -lJSFQuickSim \
! 	    $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #else
! ANALLIB   = $(LDDIRFLAG)$(LCLIBDIR) -lGENUTIL -lLUHADR -lTAUOLA \
! 	    -lSIMJLC -lLTKCL -lLCFULL -lTBS \
! 	    -lHELASV204 -lFORTLIB -lCOM -lCLI $(EXTRALIBS)
! #endif
  
  KFLIB   = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
  	-lGENLIBKN -lGENLIBBM  -lANLLIB
--- 27,33 ----
  	-I$(KFLIBROOT)/gen_lib/bs/include \
  	-I$(LCDIR)/simjlc/src -I$(LCDIR)/util/fortlib/src 
  
! HELASV204 = HELASV204
  
  KFLIB   = $(LDDIRFLAG)$(KFLIBDIR) -lGENLIBSS -lGENLIBSM \
  	-lGENLIBKN -lGENLIBBM  -lANLLIB
***************
*** 101,107 ****
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
--- 92,98 ----
  
  depend:: $(SRCS) $(HDRS) $(FSRCS)
  	for i in $(SRCS) $(FSRCS); do \
! 	rmkdepend -a -- $(CXXFLAGS) $(INCPATH) $(DEPENDFILES) -- $$i; done
  
  distclean:: clean
  	@rm -f $(OBJS) core *.$(DllSuf) $(DICTNAME).$(SrcSuf) $(DICTNAME).h *~
